#!/usr/bin/python

print "Plotting data..."

import sys
parameter_list = sys.argv
if(len(parameter_list) < 2):
    print "Syntax: <command> <Filename>"
log_filename = parameter_list[1]

import Gnuplot, Gnuplot.funcutils
g = Gnuplot.Gnuplot(debug=0)
g('set term post enhanced color font 18')
g('set style data lines')

g('set style line 1 lt 1 lw 3')
g('set style line 2 lt 2 lw 1 lc rgb "black"')
g('set label 1 "Erde" at -0.09,-0.2')
g('set label 2 "Mond" at ((1-1/81.45)-0.09),-0.1')
g('set output "threebody.eps"')
g('set xrange [-1.5:1.1]')
g('set ylabel "y"')
g('set xlabel "x"')
plot_erde = Gnuplot.Data(0,0,with_="points pt 7 ps 5")
plot_mond = Gnuplot.Data(1-1/81.45,0,with_="points pt 7 ps 2") 
plot_threebody = Gnuplot.File(log_filename,using=(2,3),title='numerical solution',with_='lines ls 1')
plot_exact = Gnuplot.File("solution.dat",using=(2,3),title='Arenstorf-Orbit',with_='lines ls 2')
g.plot(plot_threebody,plot_mond, plot_erde,plot_exact,)
